BSON_ITER_FIND_CASE(3)

NAME
bson_iter_find_case - bson_iter_find_case()

SYNOPSIS

bool
bson_iter_find_case (bson_iter_t *iter, const char *key);

PARAMETERS

•   iter: A bson_iter_t.

•   key: An ASCII string containing the field to locate.

DESCRIPTION

Advances iter until it is observing an element matching the name of key or exhausting all elements.

key is not case-sensitive. The keys will be case-folded to determine a match using the current locale.

RETURNS

true if key was found.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc